﻿Imports System.Collections.ObjectModel

Namespace ViewModel

    Public Class MainVm
        Inherits ViewModelBase

        Public Sub New()
            Fahrzeuge = New ObservableCollection(Of FahrzeugVm)

            Fahrzeuge.Add(New FahrzeugVm() With {.Marke = New MarkeVm() With {.Bezeichnung = "Volkswagen", .Color = "Blue", .ImageUrl = "http://www.stickpng.com/assets/images/580b585b2edbce24c47b2cf2.png"}, .Modell = "Golf"})
            Fahrzeuge.Add(New FahrzeugVm() With {.Marke = New MarkeVm() With {.Bezeichnung = "Audi", .Color = "Red", .ImageUrl = "http://www.stickpng.com/assets/images/580b585b2edbce24c47b2c18.png"}, .Modell = "A6"})
            Fahrzeuge.Add(New FahrzeugVm() With {.Marke = New MarkeVm() With {.Bezeichnung = "Volkswagen", .Color = "Blue", .ImageUrl = "http://www.stickpng.com/assets/images/580b585b2edbce24c47b2cf2.png"}, .Modell = "Arteon"})

        End Sub


        Private _fahrzeuge As ObservableCollection(Of FahrzeugVm)
        Public Property Fahrzeuge() As ObservableCollection(Of FahrzeugVm)
            Get
                Return _fahrzeuge
            End Get
            Set(ByVal value As ObservableCollection(Of FahrzeugVm))
                _fahrzeuge = value
                RaisePropertyChanged()
            End Set
        End Property

    End Class
End Namespace